<?php
/**
 *
 * @author     Xiroweb <support@xiroweb.com>
 * @copyright  Copyright (c)2021 Xiroweb All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.xiroweb.com
 */

use Joomla\CMS\Helper\ModuleHelper;

defined('_JEXEC') or die;

$module_id = 'uiblockhero-' . $module->id;

if (!empty($params->get('csscode',''))) {
    if ($params->get('cssinside', 1)) {
        $csscode = '#' . $module_id . '{';
        $csscode .= $params->get('csscode');
        $csscode .= '}';
    } else {
        $csscode = $params->get('csscode');
    }
}

$contentblock    = $params->get('contentblock');

$wrapper_container = '';

switch ($params->get('div_container_opt')) {
    case '1':
        $wrapper_container = '<div class="container">';
        break;
    case '2':
        $wrapper_container = '<div class="container-fluid">';
        break;
    case '3':
        $wrapper_container = '<div class="' . htmlspecialchars($params->get('wrapper_class', ''), ENT_QUOTES, 'UTF-8') . '">';
        break;
    default:       
        break;
}

require ModuleHelper::getLayoutPath('mod_xiroweb_uiblockshero', $params->get('layout', 'default'));
